# -*- encoding: utf-8 -*-

$:.push File.expand_path('../lib', __FILE__)
require 'mosh_generator/version'
require 'date'

Gem::Specification.new do |s|
  s.name = 'mosh_generator'
  s.version = MoshGenerator::VERSION
  s.summary = "Rails application generator with Mosh Creative's standards."
  s.description = <<-HERE
Mosh Generator is a Rails application generator that was made to get a jump
start on generating a working application with our defaults.
  HERE
  s.author = 'Mosh Creative'
  s.email = 'contato@moshcreative.com.br'
  s.homepage = 'http://github.com/MoshCreative/mosh-generator'

  s.files = `git ls-files`.split("\n")
  s.require_paths << 'lib'
  s.executables << 'mosh_generator'
  s.extra_rdoc_files = ['README.md']
  s.rdoc_options = ['--charset=UTF-8']
  s.license = 'MIT'
  s.date = Date.today.strftime '%Y-%m-%d'

  s.add_dependency 'rails', '~> 3.2.13'

  s.add_development_dependency 'yard', '~> 0.8.6.1'
end
